[Overview][Procedures and functions][Index] | Reference for unit 'LCLMessageGlue' (#lcl)

# SendSimpleMessage

Creates, configures, and delivers a message to the specified target control.

## Declaration

Source position: lclmessageglue.pas line 35

`function SendSimpleMessage(`
`const Target: TControl;`
`Msg: Cardinal`
`):PtrInt;`

## Arguments

`Target` |  | Control where the message is delivered.
`Msg` |  | Message type constant sent in the simple message.

## Function result

Pointer to the integer result code in the message. 0 if the message was accepted, non-zero if the message was rejected.

## Description

Calls DeliverMessage to apply or dispatch the message to the target.

## See also

DeliverMessage |  | Delivers a message (TLMessage) to the specified component, control or object.
TLMessage |  |